/**
 * # Fuzzy logic package for the Dart programming language
 *
 * This is a module for fuzzy logic in Dart. It takes inspiration from the
 * FCL (Fuzzy Control Language), but otherwise strives to be a 'Dart-y' way
 * to create and work with fuzzy rules.
 *
 * The goal of this project is to make it extremely easy to implement fuzzy
 * logic when creating:
 *
 * 1. Artificial intelligence in Web-based games.
 * 2. Intelligent user experience in websites.
 */
library fuzzylogic;

import 'dart:math';


part 'src/variable.dart';
part 'src/value.dart';
part 'src/set.dart';
part 'src/linearmanifold.dart';
part 'src/rulebase.dart';
part 'src/rule.dart';
part 'src/ruleexpressions.dart';
